Loading...
Searching...
No Matches
Dune::GridGlue::StreamingMessageBuffer< DT > Class Template Reference

`#include <dune/grid-glue/adapter/gridgluecommunicate.hh>`

Inheritance diagram for Dune::GridGlue::StreamingMessageBuffer< DT >:

## Public Types

typedef DT | value_type

## Public Member Functions

| StreamingMessageBuffer (DT *p)
template<class Y>
void | write (const Y &data)
template<class Y>
void | read (Y &data) const
size_t | counter () const
void | clear ()

## Public Attributes

DT * | a
size_t | i
size_t | j

## Detailed Description

template<typename DT>
class Dune::GridGlue::StreamingMessageBuffer< DT >

Streaming MessageBuffer for the GridGlue communication

## Member Typedef Documentation

## value_type

template<typename DT>

typedef DT Dune::GridGlue::StreamingMessageBuffer< DT >::value_type

## Constructor & Destructor Documentation

## StreamingMessageBuffer()

template<typename DT>

Dune::GridGlue::StreamingMessageBuffer< DT >::StreamingMessageBuffer | ( | DT * | p | ) |

inline

## Member Function Documentation

## clear()

template<typename DT>

void Dune::GridGlue::StreamingMessageBuffer< DT >::clear | ( |  | ) |

inline

## counter()

template<typename DT>

size_t Dune::GridGlue::StreamingMessageBuffer< DT >::counter | ( |  | ) | const

inline

## read()

template<typename DT>
template<class Y>

void Dune::GridGlue::StreamingMessageBuffer< DT >::read | ( | Y & | data | ) | const

inline

## write()

template<typename DT>
template<class Y>

void Dune::GridGlue::StreamingMessageBuffer< DT >::write | ( | const Y & | data | ) |

inline

## Member Data Documentation

## a

template<typename DT>

DT* Dune::GridGlue::StreamingMessageBuffer< DT >::a

## i

template<typename DT>

size_t Dune::GridGlue::StreamingMessageBuffer< DT >::i

## j

template<typename DT>

size_t Dune::GridGlue::StreamingMessageBuffer< DT >::j

mutable

The documentation for this class was generated from the following file:

- gridgluecommunicate.hh